// pages/agent/serviceBillList/index.js
import api from '../../api/api'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        param: {
            "id": "20230206091703",
            "version": 1,
            "content": {
                nocache: true,
                "pageSize": 20,
                "pageNumber": 1,
                "isadmin": false,
                "where": {
                    "condition": "",
                    "status": "新建"
                }
            }
        }
    },
    async listData() {
        const res = await api._post(this.data.param)
        if (res.data.length > 0) {
            this.setData({
                list: this.data.list.concat(res.data)
            })
        } else {
            wx.showToast({
                title: '没有更多了!',
                duration: 2000,
                icon: 'none'
            })
        }
    },
    handleClick() {
        wx.navigateTo({
            url: '/Eservice/agent/addServiceBill/index',
        })
    },
    onTabsChange(data) {
        this.setData({
            list: []
        })
        this.data.param.content.where.status = data.detail.value
        this.onPullDownRefresh()
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.listData()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        this.data.param.content.pageNumber = 1
        this.data.list = []
        this.listData()
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        this.data.param.content.pageNumber++
        this.listData()
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})